# -*- coding: utf-8 -*-
# -*- frozen_string_literal: true -*-

require_relative "./_expand_lib_path"
require "<%= @scaffold.gem_path %>/version"
require "<%= @scaffold.gem_path %>/doc"
require "<%= @scaffold.gem_path %>/manifest"

Gem::Specification.new do |g|
  g.name          = <%= @scaffold.namespace %>::Manifest.gem_name
  g.version       = <%= @scaffold.namespace %>::Version.dup
  g.authors       = <%= @scaffold.namespace %>::Manifest.authors
  g.email         = <%= @scaffold.namespace %>::Manifest.contact_emails
  g.summary       = <%= @scaffold.namespace %>::Doc.summary
  g.description   = <%= @scaffold.namespace %>::Doc.description
  g.homepage      = <%= @scaffold.namespace %>::Manifest.repo
  g.license       = <%= @scaffold.namespace %>::Manifest.license
g.metadata      = <%= @scaffold.namespace %>::Manifest.metadata
g.files         = <%= @scaffold.namespace %>::Manifest.files
g.require_paths = <%= @scaffold.namespace %>::Manifest.codebase
g.test_files    = <%= @scaffold.namespace %>::Manifest.tests
<% if @scaffold.bin %>
  g.bindir        = <%= @scaffold.namespace %>::Manifest.bindir
  g.executables.append(*<%= @scaffold.namespace %>::Manifest.binstubs)
  <% end %>
  g.extra_rdoc_files = <%= @scaffold.namespace %>::Doc.appendices
  g.rdoc_options = <%= @scaffold.namespace %>::Doc.build_options

  g.required_ruby_version = ">= 2.5"

  g.add_development_dependency "bundler", "~> 2.0", ">= 2.0.0"
  g.add_development_dependency "rake", "~> 12.3", ">= 12.3.2"
  g.add_development_dependency "hanna-nouveau", "~> 1.0", ">= 1.0.3"
  g.add_development_dependency "minitest", "~> 5.11", ">= 5.11.3"
  g.add_development_dependency "minitest-unordered", "~> 1.0", ">= 1.0.2"
  g.add_development_dependency "minitest-proveit", "~> 1.0", ">= 1.0.0"
  g.add_development_dependency "minitest-autotest", "~> 1.0", ">= 1.0.3"
  g.add_development_dependency "debride", "~> 1.8", ">= 1.8.1"
  g.add_development_dependency "flog", "~> 4.6", ">= 4.6.2"
  g.add_development_dependency "flay", "~> 2.12", ">= 2.12.0"
  g.add_development_dependency "ruby2ruby", "~> 2.4", ">= 2.4.1"
end
